Figure - Bug #113467
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20O O Monkeyd Monkeyd O 80 O O O O CRASH: com.android.settings 60
2022-11-01 14:40 - CD Test(l [J

D.X101.2

Status: CLOSED Start date: 2022-11-01
Priority: Normal Due date: 2022-11-08
Assignee: CD Test O % Done: 100%
Category: CD-FW Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: FIXED Degrated: No
Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: ggoo
Description

oo0ooo

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200
--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000
2>/sdcard/error.txt 1>/sdcard/info.txt

gooon

10-28 06:58:31.027 4581 4581 D AndroidRuntime: Shutting down VM

10-28 06:58:31.027 6173 6173 | Monkey : :Sending Touch (ACTION_MOVE): 0:(197.51384,90.13607)

10-28 06:58:31.027 4581 4581 E AndroidRuntime: FATAL EXCEPTION: main

10-28 06:58:31.027 4581 4581 E AndroidRuntime: Process: com.android.settings, PID: 4581

10-28 06:58:31.027 4581 4581 E AndroidRuntime: java.lang.NullPointerException: Attempt to invoke virtual method ‘java.lang.String
android.content.ComponentName.getPackageName()' on a null object reference

10-28 06:58:31.027 4581 4581 E AndroidRuntime: at
com.android.settings.applications.specialaccess.notificationaccess.NotificationAccessDetails.onAttach(Notification AccessDetails.java: 97)
10-28 06:58:31.027 4581 4581 E AndroidRuntime:  at androidx.fragment.app.Fragment.performAttach(Fragment.java:2912)

10-28 06:58:31.027 4581 4581 E AndroidRuntime:  at androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:440)
10-28 06:58:31.027 4581 4581 E AndroidRuntime:  at
androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

10-28 06:58:31.027 4581 4581 E AndroidRuntime:  at
androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

10-28 06:58:31.027 4581 4581 E AndroidRuntime:  at
androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

10-28 06:58:31.027 4581 4581 E AndroidRuntime: at
androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

10-28 06:58:31.027 4581 4581 E AndroidRuntime: at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)
10-28 06:58:31.027 4581 4581 E AndroidRuntime;  at android.os.Handler.handleCallback(Handler.java:938)

10-28 06:58:31.027 4581 4581 E AndroidRuntime;  at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 06:58:31.027 4581 4581 E AndroidRuntime; at android.os.Looper.loopOnce(Looper.java:201)

10-28 06:58:31.027 4581 4581 E AndroidRuntime; at android.os.Looper.loop(Looper.java:288)

10-28 06:58:31.027 4581 4581 E AndroidRuntime: at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 06:58:31.027 4581 4581 E AndroidRuntime;  at java.lang.reflect. Method.invoke(Native Method)

10-28 06:58:31.027 4581 4581 E AndroidRuntime: at
com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
10-28 06:58:31.027 4581 4581 E AndroidRuntime: at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)

History

#1 - 2022-11-01 16:05 - CD Test O

0 0O O Bug #113456 O O

#2 - 2022-11-0210:16-CDFW O O O
- Status changed from New to ASSIGNED
- Assignee changed fromCDFW O 00 00 to CD AF-0 0O O

#3-2022-11-0311:26 - CDAF-0 O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-00 00 O to CD TestO O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Rootcausesetto O O O O

m Current conclusion

goooooo

m My analysis

gooooooobobobobo

= Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159856

#4 - 2022-11-07 11:25- CD Testd O
- Status changed from RESOLVED to ASSIGNED
- % Done changed from 100 to 40

11040 DBO O O Monkey 600 00O 0O 0O OO 60
004000 OO MonkeyO 20 debugl) O +20 userd 0 O
go02000000e00DbOCO0O0ODOOODOOO
00O 0O Bug#113470 0 O

#5 - 2022-11-07 11:25 - CD TestO O

- Assignee changed from CD Test[(] 0 to CD AF-00 0 O
#6 - 2022-11-08 16:29 - CD AF-00 O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-0 0 [0 to CD Test() O
- % Done changed from 40 to 100

| current status
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/159856

oboooooo

m My analysis

gooooooooooooboooobooooo

m Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/160932

#7 - 2022-11-10 11:30 - CD TestO O
- % Done changed from 100 to 70

ugoopBOOoOOOOOnO
Monkeyd 0 000002000

#8 - 2022-11-1110:24 - CD Testd O

110100 Release0 0 0 O OO OO

MonkeyO OO OO 001000

#9 - 2022-11-14 10:53 - CD Testd O

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

1101008000000
goosxpoooooooooon

#10 - 2022-11-1410:54 - CD TestO O

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#11 - 2022-12-22 20:49 - CD FwW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

159856

general/platform/packages/apps/Settin
gs

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Monkey Test issuel.Fix NotificationAccessDetails monkey test NullPointException crashTC-RID: 1201-0201803lssuelD:
TS-R-BUG-113467Change-1d: 1243e8390ad999be0b583dd73c0c691e1c3b4b8al

#12 - 2022-12-22 20:50 - CD Fw-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

160932

general/platform/packages/apps/Settin
s

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

yujie.chen@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/160932

AF:Settings: Fix NotificationAccessDetails Crashl.Fix NotificationAccessDetails Crash BugTC-RID: 1201-0201803IssuelD: TS-R-BUG-113467Change-I1d:
151695319ddfd786d6aa4c47039f38a30e95d4e83
